<?php if (!defined('access') or !access) {
    die('This file cannot be directly accessed.');
} ?>
			<div class="input-label">
				<label for="github">GitHub</label>
				<div class="c5 phablet-c1"><select type="text" name="github" id="github" class="text-input" data-combo="github-combo">
					<?php
                            echo CHV\Render\get_select_options_html([1 => _s('Enabled'), 0 => _s('Disabled')], get_safe_post() ? get_safe_post()['github'] : CHV\Settings::get('github')); ?>
				</select></div>
				<div class="input-below"><?php _se('You need a <a href="https://github.com/settings/developers" target="_blank">GitHub app</a> for this.'); ?></div>
			</div>
			<div id="github-combo">
				<div data-combo-value="1" class="switch-combo c9 phablet-c1<?php if (!(get_safe_post() ? get_safe_post()['github'] : CHV\Settings::get('github'))) {
                                echo ' soft-hidden';
                            } ?>">
					<div class="input-label">
						<label for="github_client_id"><?php _se('GitHub client id'); ?></label>
						<input type="text" name="github_client_id" id="github_client_id" class="text-input" value="<?php echo get_safe_post() ? get_safe_post()['github_client_id'] : CHV\Settings::get('github_client_id', true); ?>">
						<div class="input-warning red-warning"><?php echo get_input_errors()['github_client_id']; ?></div>
					</div>
					<div class="input-label">
						<label for="github_client_secret"><?php _se('GitHub client secret'); ?></label>
						<input type="text" name="github_client_secret" id="github_client_secret" class="text-input" value="<?php echo get_safe_post() ? get_safe_post()['github_client_secret'] : CHV\Settings::get('github_client_secret', true); ?>">
						<div class="input-warning red-warning"><?php echo get_input_errors()['github_client_secret']; ?></div>
					</div>
				</div>
			</div>
			
			<div class="input-label">
				<label for="qq">QQ</label>
				<div class="c5 phablet-c1"><select type="text" name="qq" id="qq" class="text-input" data-combo="qq-combo">
					<?php
                            echo CHV\Render\get_select_options_html([1 => _s('Enabled'), 0 => _s('Disabled')], get_safe_post() ? get_safe_post()['qq'] : CHV\Settings::get('qq')); ?>
				</select></div>
				<div class="input-below"><?php _se('You need a <a href="https://connect.qq.com/manage.html" target="_blank">QQ app</a> for this.'); ?></div>
			</div>
			<div id="qq-combo">
				<div data-combo-value="1" class="switch-combo c9 phablet-c1<?php if (!(get_safe_post() ? get_safe_post()['qq'] : CHV\Settings::get('qq'))) {
                                echo ' soft-hidden';
                            } ?>">
					<div class="input-label">
						<label for="qq_client_id"><?php _se('QQ client id'); ?></label>
						<input type="text" name="qq_client_id" id="qq_client_id" class="text-input" value="<?php echo get_safe_post() ? get_safe_post()['qq_client_id'] : CHV\Settings::get('qq_client_id', true); ?>">
						<div class="input-warning red-warning"><?php echo get_input_errors()['qq_client_id']; ?></div>
					</div>
					<div class="input-label">
						<label for="qq_client_secret"><?php _se('QQ client secret'); ?></label>
						<input type="text" name="qq_client_secret" id="qq_client_secret" class="text-input" value="<?php echo get_safe_post() ? get_safe_post()['qq_client_secret'] : CHV\Settings::get('qq_client_secret', true); ?>">
						<div class="input-warning red-warning"><?php echo get_input_errors()['qq_client_secret']; ?></div>
					</div>
				</div>
			</div>

			<div class="input-label">
				<label for="weibo">Weibo</label>
				<div class="c5 phablet-c1"><select type="text" name="weibo" id="weibo" class="text-input" data-combo="weibo-combo">
					<?php
                            echo CHV\Render\get_select_options_html([1 => _s('Enabled'), 0 => _s('Disabled')], get_safe_post() ? get_safe_post()['weibo'] : CHV\Settings::get('weibo')); ?>
				</select></div>
				<div class="input-below"><?php _se('You need a <a href="https://open.weibo.com/connect" target="_blank">Weibo app</a> for this.'); ?></div>
			</div>
			<div id="weibo-combo">
				<div data-combo-value="1" class="switch-combo c9 phablet-c1<?php if (!(get_safe_post() ? get_safe_post()['weibo'] : CHV\Settings::get('weibo'))) {
                                echo ' soft-hidden';
                            } ?>">
					<div class="input-label">
						<label for="weibo_client_id"><?php _se('Weibo client id'); ?></label>
						<input type="text" name="weibo_client_id" id="weibo_client_id" class="text-input" value="<?php echo get_safe_post() ? get_safe_post()['weibo_client_id'] : CHV\Settings::get('weibo_client_id', true); ?>">
						<div class="input-warning red-warning"><?php echo get_input_errors()['weibo_client_id']; ?></div>
					</div>
					<div class="input-label">
						<label for="weibo_client_secret"><?php _se('Weibo client secret'); ?></label>
						<input type="text" name="weibo_client_secret" id="weibo_client_secret" class="text-input" value="<?php echo get_safe_post() ? get_safe_post()['weibo_client_secret'] : CHV\Settings::get('weibo_client_secret', true); ?>">
						<div class="input-warning red-warning"><?php echo get_input_errors()['weibo_client_secret']; ?></div>
					</div>
				</div>
			</div>
			
			<div class="input-label">
				<label for="outlook">Outlook</label>
				<div class="c5 phablet-c1"><select type="text" name="outlook" id="outlook" class="text-input" data-combo="outlook-combo">
					<?php
                            echo CHV\Render\get_select_options_html([1 => _s('Enabled'), 0 => _s('Disabled')], get_safe_post() ? get_safe_post()['outlook'] : CHV\Settings::get('outlook')); ?>
				</select></div>
				<div class="input-below"><?php _se('You need a <a href="https://portal.azure.com/" target="_blank">Outlook app</a> for this.'); ?></div>
			</div>
			<div id="outlook-combo">
				<div data-combo-value="1" class="switch-combo c9 phablet-c1<?php if (!(get_safe_post() ? get_safe_post()['outlook'] : CHV\Settings::get('outlook'))) {
                                echo ' soft-hidden';
                            } ?>">
					<div class="input-label">
						<label for="outlook_client_id"><?php _se('Outlook client id'); ?></label>
						<input type="text" name="outlook_client_id" id="outlook_client_id" class="text-input" value="<?php echo get_safe_post() ? get_safe_post()['outlook_client_id'] : CHV\Settings::get('outlook_client_id', true); ?>">
						<div class="input-warning red-warning"><?php echo get_input_errors()['outlook_client_id']; ?></div>
					</div>
					<div class="input-label">
						<label for="outlook_client_secret"><?php _se('Outlook client secret'); ?></label>
						<input type="text" name="outlook_client_secret" id="outlook_client_secret" class="text-input" value="<?php echo get_safe_post() ? get_safe_post()['outlook_client_secret'] : CHV\Settings::get('outlook_client_secret', true); ?>">
						<div class="input-warning red-warning"><?php echo get_input_errors()['outlook_client_secret']; ?></div>
					</div>
				</div>
			</div>			